"The Specied SPContentDatabase has been upgraded to a newer version of SharePoint"
Hi I have just installed WSS 3.0 SP2 on my machine... and I have WSS_Content database in place from my previous version of WSS ie. WSS 3.0 SQL Server 2005. Whenever I try to add a content database to my machine I get the following error message. " The specified SPContentDatabase has been upgraded to a newer version of SharePoint. Please upgrade this SharePoint app before attempting to access this object " Please help. How do I overcome this situation. what patch level do I need to install on my WSS? if any! I even tried to use stsadm but still I get the same error msg. I checked the versions on WSS and SQL Server. They are both the same. PLEASE HELP! Kind Regards, Sepaka
February 24th, 2011 4:06am

Hi, you have to first upgrade your WSS_Content database which is from WSS previous version to WSS 3.0 SP2 level and after that you will be able to attach it to new installed WSS 3.0 SP2 To achieve this you have to install WSS 3.0 and attach WSS_Content database to the WSS site then upgrade it to WSS 3.0 SP2 which will upgrade your DB as well to SP2 and then you can attach it back to newly installed WSS 3.0 SP2 site. HTH.Regards, Pratik Vyas | SharePoint Consultant | http://sharepointpratik.blogspot.com/
Free Windows Admin Tool Kit Click here and download it now
February 24th, 2011 4:35am

I dont understand Pratik. Are you saying, I need to install WSS 3.0 SP1 and attach my db... then Upgrade to SP2?
February 24th, 2011 5:10am

Yes if you are referring WSS_content is from WSS 3.0 SP1 then you have to first install WSS 3.0 SP1 on some other box and attach that DB to WSS 3.0 SP1 and upgrade it to SP2 then attach it back to WSS 3.0 SP2 Regards, Pratik Vyas | SharePoint Consultant | http://sharepointpratik.blogspot.com/
Free Windows Admin Tool Kit Click here and download it now
February 24th, 2011 5:24am

Yes if you are referring WSS_content is from WSS 3.0 SP1 then you have to first install WSS 3.0 SP1 on some other box and attach that DB to WSS 3.0 SP1 and upgrade it to SP2 then attach it back to WSS 3.0 SP2 Regards, Pratik Vyas | SharePoint Consultant | http://sharepointpratik.blogspot.com/
February 24th, 2011 5:24am

OK Thanks I will do that. One more question.... Why is it not saying I should upgrade my content db but it says I should upgrade my SharePoint to a newer version?
Free Windows Admin Tool Kit Click here and download it now
February 24th, 2011 6:19am

OK Thanks I will do that. One more question.... Why is it not saying I should upgrade my content db but it says I should upgrade my SharePoint to a newer version?
February 24th, 2011 6:19am

Take a look at the DBVersion values in both the to-attach database and your WSS_content DB for CA.
Free Windows Admin Tool Kit Click here and download it now
February 24th, 2011 5:49pm

This topic is archived. No further replies will be accepted.

Other recent topics Other recent topics